%global commit e65bd742d313a7f3c3c87116959791e2b6a4cc39
%define gitrel  %(c=%{commit}; echo ${c:0:7})
%global _internal_version %(c=%{commit}; echo ${c:0:7})
%global date 20241205
%global _artwork_version   4.4
%global glib2_version 2.31.0
%global gtk3_version 3.5.13
%global csd_version 2.3.0
%global desktop_file_utils_version 0.9
%global cinnamon_menus_version 3.8.0
%global libXrandr_version 1.2.99
%define rel 1

Summary: Utilities to configure the Cinnamon desktop
Name:    cinnamon-control-center
Version: 6.4.1
Release: %mkrel %{rel}
# The following files contain code from
# ISC for panels/network/rfkill.h
# And MIT for wacom/calibrator/calibrator.c
# wacom/calibrator/calibrator.h
# wacom/calibrator/gui_gtk.c
# wacom/calibrator/gui_gtk.h
# wacom/calibrator/main.c
Group:  Graphical desktop/Cinnamon
License: GPLv2+ and LGPLv2+ and MIT and ISC
URL:     http://cinnamon.linuxmint.com
#Source0: https://github.com/linuxmint/cinnamon-control-center/archive/%{version}.tar.gz#/cinnamon-control-center-%{version}.tar.gz
Source0:  https://github.com/linuxmint/cinnamon-control-center/tarball/%{gitrel}#/cinnamon-control-center-%{version}-git.%{date}.%{gitrel}.tar.gz
Source1: https://leigh123linux.fedorapeople.org/pub/cinnamon-control-center-sounds/source/cinnamon-control-center-sounds-1.0.0.tar.xz

#Source0: cinnamon-control-center-%{version}.git%{_internal_version}.tar.gz
##SourceGet0: https://github.com/linuxmint/cinnamon-control-center/tarball/%{_internal_version}

Requires: cinnamon-settings-daemon >= %{csd_version}
Requires: hicolor-icon-theme
Requires: adwaita-icon-theme
Requires: cinnamon-menus >= %{cinnamon_menus_version}
Requires: cinnamon-desktop
Requires: cinnamon-translations
Requires: dbus-x11
Obsoletes: %{name}-filesystem <= %{version}-%{release}
# we need XRRGetScreenResourcesCurrent
Requires: libxrandr >= %{libXrandr_version}
# For the user languages
Requires: iso-codes
# For the printers panel
Requires: cups-pk-helper
# For the network panel
Requires: networkmanager-applet
# For the info/details panel
Requires: glxinfo
Requires: xdriinfo

BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(cinnamon-desktop)
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xrandr) >= %{libXrandr_version}
BuildRequires: pkgconfig(libcinnamon-menu-3.0)
BuildRequires: pkgconfig(cinnamon-settings-daemon) >= %{csd_version}
BuildRequires: intltool >= 0.37.1
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: gnome-doc-utils
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(dbus-1) >= 0.90
BuildRequires: pkgconfig(dbus-glib-1) >= 0.70
BuildRequires: chrpath
BuildRequires: pkgconfig(libpulse) >= 2.0
BuildRequires: pkgconfig(libpulse-mainloop-glib) >= 2.0
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(upower-glib)
BuildRequires: pkgconfig(libnm)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: gnome-common
BuildRequires: cups-devel
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(cheese-gtk) >= 2.91.91.1
BuildRequires: pkgconfig(clutter-gtk-1.0)
BuildRequires: pkgconfig(goa-1.0)
BuildRequires: pkgconfig(colord)
BuildRequires: pkgconfig(libnotify)
BuildRequires: gnome-doc-utils
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(pwquality)
BuildRequires: pkgconfig(ibus-1.0)
BuildRequires: pkgconfig(libgnomekbd)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(gnome-bluetooth-1.0) >= 2.91
BuildRequires: pkgconfig(libwacom)
BuildRequires: pkgconfig(mm-glib)
BuildRequires: pkgconfig(libnma)
BuildRequires: meson

%description
This package contains configuration utilities for the Cinnamon desktop, which
allow to configure accessibility options, desktop fonts, keyboard and mouse
properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.

%package devel
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing Muffin plugins. Also includes
utilities for testing Metacity/Muffin themes.


%prep
%autosetup -p1 -a1  -n linuxmint-cinnamon-control-center-%{gitrel}

%build
%meson
%meson_build

%install
%meson_install

desktop-file-edit                                       \
  --set-icon=cinnamon-preferences-color                 \
  $RPM_BUILD_ROOT%{_datadir}/applications/cinnamon-color-panel.desktop
desktop-file-install                                    \
  --delete-original                                     \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# remove useless libtool archive files
find $RPM_BUILD_ROOT -name '*.la' -delete

# remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/cinnamon-control-center-1/panels/*.so
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/cinnamon-control-center

# install sound files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/cinnamon-control-center/sounds/
install -pm 0644 sounds/* $RPM_BUILD_ROOT/%{_datadir}/cinnamon-control-center/sounds/

%files
%doc AUTHORS COPYING README
%{_datadir}/cinnamon-control-center/ui/
%{_datadir}/cinnamon-control-center/sounds/*.oga
%{_datadir}/cinnamon-control-center/panels/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/cinnamon-control-center
%{_libdir}/libcinnamon-control-center.so.1*
%dir %{_libdir}/cinnamon-control-center-1/
%{_libdir}/cinnamon-control-center-1/panels/libcolor.so
%{_libdir}/cinnamon-control-center-1/panels/libdisplay.so
%{_libdir}/cinnamon-control-center-1/panels/libnetwork.so
%{_libdir}/cinnamon-control-center-1/panels/libregion.so
%{_libdir}/cinnamon-control-center-1/panels/libwacom-properties.so
%{_datadir}/glib-2.0/schemas/org.cinnamon.control-center.display.gschema.xml

%files devel
%{_includedir}/cinnamon-control-center-1/
%{_libdir}/libcinnamon-control-center.so
%{_libdir}/pkgconfig/libcinnamon-control-center.pc


%changelog
* Wed Apr 09 2025 joequant <joequant> 6.4.1-1.mga10
+ Revision: 2174395
- update to 6.4.1

* Sun Jul 28 2024 joequant <joequant> 6.2.0-0.20240612git.cefff5b.1.mga10
+ Revision: 2082731
- update to 6.2.0

* Sun May 19 2024 joequant <joequant> 6.0.2-0.20240515git.4d9be89.1.mga10
+ Revision: 2064866
- remove goa
+ wally <wally>
- rebuild for gnome-online-accounts 3.50.0

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048225
- new version: 6.0.1

* Fri Dec 01 2023 joequant <joequant> 6.0.0-1.mga10
+ Revision: 2012351
- update to 6.0.0

* Sat Sep 02 2023 joequant <joequant> 5.8.2-1.mga10
+ Revision: 1983636
- update to 5.8.2

* Sun Jun 11 2023 daviddavid <daviddavid> 5.6.1-2.mga9
+ Revision: 1961743
- remove unmaintained xf86misc support now disable by default (fix mga#31867)

* Sat Feb 25 2023 martinw <martinw> 5.6.1-1.mga9
+ Revision: 1945324
- new version 5.6.1

* Sat Nov 19 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1908960
- update to 5.6.0

* Thu Sep 29 2022 tv <tv> 5.4.6-1.mga9
+ Revision: 1893300
- Fix compatibility issue with libgnomekbd 3.28
- 5.4.6

* Fri Jul 01 2022 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1866980
- update to 5.4.2

* Wed Apr 06 2022 umeabot <umeabot> 5.2.0-3.mga9
+ Revision: 1846038
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 5.2.0-2.mga9
+ Revision: 1761938
- Rebuild for new libwacom

* Wed Nov 24 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1758977
- update to 5.2.0

* Sat Jul 24 2021 joequant <joequant> 5.0.2-1.mga9
+ Revision: 1737588
- update to 5.0.2

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729186
- update to 5.0.0

* Sat Mar 27 2021 ovitters <ovitters> 4.8.2-1.mga9
+ Revision: 1711172
- new version 4.8.2

* Fri Dec 11 2020 joequant <joequant> 4.8.1-1.mga8
+ Revision: 1655329
- update too 4.8.1

* Tue Dec 08 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1654571
- update to 4.8.0

* Sun Jun 28 2020 joequant <joequant> 4.6.1-1.mga8
+ Revision: 1599835
- update to 4.6.1

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584286
- update to 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 4.4.0-2.mga8
+ Revision: 1539317
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 07 2019 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1464898
- upgrade to 4.4.0

* Sat Aug 03 2019 wally <wally> 4.2.2-2.mga8
+ Revision: 1427081
- update BRs for networkmanager >= 1.19.90

* Tue Jul 30 2019 joequant <joequant> 4.2.2-1.mga8
+ Revision: 1425324
- update to 4.2.2

* Sun Feb 03 2019 joequant <joequant> 4.0.1-1.mga7
+ Revision: 1362772
- update to 4.0.1
- update to 4.0.1

* Mon Nov 05 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328507
- upgrade to 4.0.0

* Mon Oct 01 2018 joequant <joequant> 3.8.2-1.mga7
+ Revision: 1313810
- update to 3.8.2
- update to 3.8.2

* Wed Sep 05 2018 daviddavid <daviddavid> 3.8.0-2.mga7
+ Revision: 1257358
- clutter-gst-2.0 (GTK2 support) is no more needed

* Sat Apr 28 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1223159
- upgrade to 3.8.0

* Sat Nov 25 2017 joequant <joequant> 3.6.5-1.mga7
+ Revision: 1179180
- upgrade to 3.6.5

* Wed Nov 01 2017 joequant <joequant> 3.6.1-2.mga7
+ Revision: 1175426
- rebuild on arm to fix build glitch

* Wed Nov 01 2017 joequant <joequant> 3.6.1-1.mga7
+ Revision: 1175399
- update to 3.6.1

* Mon Jul 17 2017 joequant <joequant> 3.4.0-1.mga7
+ Revision: 1124023
- upgrade to 3.4.0

* Mon Jan 23 2017 joequant <joequant> 3.2.1-1.mga6
+ Revision: 1083169
- upgrade to 3.2.1
- upgrade to 3.2.1

* Fri Dec 02 2016 philippem <philippem> 3.0.0-2.mga6
+ Revision: 1071753
- enable network panel, fix mga#15815

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008835
- upgrade to 3.0.0

* Sat Feb 13 2016 umeabot <umeabot> 2.8.1-2.mga6
+ Revision: 959713
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 joequant <joequant> 2.8.1-1.mga6
+ Revision: 904223
- upgrade to 2.8.1

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893696
- upgrade as 2.8.0

* Fri Jun 26 2015 joequant <joequant> 2.6.0-1.mga6
+ Revision: 844292
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 2.4.2-1.mga5
+ Revision: 799541
- 2.4.2

* Sun Nov 23 2014 joequant <joequant> 2.4.1-1.mga5
+ Revision: 798407
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.11-5.mga5
+ Revision: 748047
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.11-4.mga5
+ Revision: 693608
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.11-3.mga5
+ Revision: 678396
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 joequant <joequant> 2.2.11-2.mga5
+ Revision: 669408
- upgrade to 2.2.11

* Wed Aug 27 2014 fwang <fwang> 2.2.9-2.mga5
+ Revision: 668648
- rebuild for new upower

* Tue Jun 10 2014 joequant <joequant> 2.2.9-1.mga5
+ Revision: 635383
- upgrade to 2.2.9

* Wed May 14 2014 joequant <joequant> 2.2.7-1.mga5
+ Revision: 622766
- upgrade to 2.2.7
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme and gnome-icon-theme-symbolic

* Fri Apr 18 2014 joequant <joequant> 2.2.3-1.mga5
+ Revision: 616826
- upgrade to 2.2

* Sun Mar 30 2014 joequant <joequant> 2.0.9-4.mga5
+ Revision: 610304
- upgrade to upower-1.0
+ dams <dams>
- rebuild for new upower

* Wed Jan 08 2014 joequant <joequant> 2.0.9-2.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.9-1.mga4
+ Revision: 563807
- upgrade to 2.0.9

* Wed Nov 27 2013 joequant <joequant> 2.0.4-3.mga4
+ Revision: 553757
- fix empty format panel

* Wed Oct 23 2013 joequant <joequant> 2.0.4-2.mga4
+ Revision: 546394
- upgrade to 2.0.4

* Tue Oct 22 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 541286
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 joequant <joequant> 2.0.2-1.mga4
+ Revision: 495440
- upgrade to 2.0.2

* Mon Oct 07 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 492490
- update to 2.0.1

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490049
- update to 1.9.1

* Sat Sep 14 2013 wally <wally> 1.9.0-0.4.git3106e49.mga4
+ Revision: 478944
- rebuild with new colord
- use %%makeinstall_std macro
- move autoreconf to %%build section
- remove unneeded post/postun/posttrans scripts

* Mon Sep 02 2013 joequant <joequant> 1.9.0-0.3.git3106e49.mga4
+ Revision: 474291
- update to latest git

* Sat Aug 24 2013 joequant <joequant> 1.9.0-0.2.git7d365d0.mga4
+ Revision: 470719
- add build requires
- fix requires
- imported package cinnamon-control-center

